> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/finpay-pg/core-api/direct-debit/mandiri/direct-debit-payment.md).

# Direct Debit Payment

Create a Direct Debit payment using the SNAP host-to-host API.

Create a Direct Debit payment using host-to-host integration.

### Endpoint

| Environment | Method | URL                                                              |
| ----------- | ------ | ---------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/snap/v2.0/debit/payment-host-to-host> |
| Production  | POST   | TBD                                                              |

### Header Request

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>X-SIGNATURE</td><td>string</td><td>M</td><td>Request signature. See <a href="/finpay-pg/snap/signature.md">Signature</a>. Example: <code>{{signature}}</code>.</td></tr><tr><td>2</td><td>X-TIMESTAMP</td><td>string</td><td>M</td><td>Request timestamp. Example: <code>{{timestamp}}</code>.</td></tr><tr><td>3</td><td>CHANNEL-ID</td><td>string</td><td>M</td><td>Channel identifier. Example: <code>drdbt</code>.</td></tr><tr><td>4</td><td>X-EXTERNAL-ID</td><td>string</td><td>M</td><td>External reference identifier. Example: <code>{{external-id}}</code>.</td></tr><tr><td>5</td><td>X-PARTNER-ID</td><td>string</td><td>M</td><td>Partner identifier. Example: <code>cM8GIPvoEpzLaHQfvL1e9g</code>.</td></tr><tr><td>6</td><td>testing</td><td>string</td><td>O</td><td>Optional testing flag. Example: <code>true</code>.</td></tr></tbody></table>

### Body Request

Content-Type: `application/json`

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>partnerReferenceNo</td><td>string</td><td>M</td><td>Partner reference number for the transaction.</td></tr><tr><td>2</td><td>urlParam</td><td>array</td><td>M</td><td>List of callback/notify URLs.</td></tr><tr><td>3</td><td>urlParam[].url</td><td>string</td><td>M</td><td>Target URL.</td></tr><tr><td>4</td><td>urlParam[].type</td><td>string</td><td>M</td><td>URL type. Example: <code>PAY_NOTIFY</code>.</td></tr><tr><td>5</td><td>urlParam[].isDeepLink</td><td>string</td><td>M</td><td>Deep link flag. Example: <code>N</code>.</td></tr><tr><td>6</td><td>amount</td><td>object</td><td>M</td><td>Transaction amount.</td></tr><tr><td>7</td><td>amount.value</td><td>string</td><td>M</td><td>Amount value. Example: <code>10000.00</code>.</td></tr><tr><td>8</td><td>amount.currency</td><td>string</td><td>M</td><td>Currency. Example: <code>IDR</code>.</td></tr><tr><td>9</td><td>chargeToken</td><td>string</td><td>M</td><td>Charge token for the payment context.</td></tr><tr><td>10</td><td>bankCardToken</td><td>string</td><td>M</td><td>Bank card token.</td></tr><tr><td>11</td><td>additionalInfo</td><td>object</td><td>M</td><td>Additional payment information.</td></tr><tr><td>12</td><td>additionalInfo.otpStatus</td><td>string</td><td>M</td><td>OTP status flag. Example: <code>YES</code>.</td></tr><tr><td>13</td><td>additionalInfo.settlementAccount</td><td>string</td><td>M</td><td>Settlement account number.</td></tr><tr><td>14</td><td>additionalInfo.merchantTrxId</td><td>string</td><td>M</td><td>Merchant transaction ID.</td></tr><tr><td>15</td><td>additionalInfo.remarks</td><td>string</td><td>M</td><td>Transaction remarks.</td></tr></tbody></table>

#### Sample Request

```json
{
  "partnerReferenceNo": "377547569889",
  "urlParam": [
    {
      "url": "https://5fdc5f1948321c00170119e0.mockapi.io/api/v1/simulation/simulation",
      "type": "PAY_NOTIFY",
      "isDeepLink": "N"
    }
  ],
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "chargeToken": "null",
  "bankCardToken": "card_.eyJpYXQiOjE3MzE5MTc5MjAsImlzcyI6IkJhbmsgQlJJIC0gRENFIiwianRpIjoiYjRkM2U5MjAtZjdjOS00YWZmLTgxZTYtZjllZWM3YjQ5NjMxIiwicGFydG5lcklkIjoi77-9Iiwic2VydmljZU5hbWUiOiJERF9FWFRFUk5BTF9TRVJWSUNFIn0.fEnzwV_dix4r_YRgLshurEgEBDMuNLnjKyl1F0SrPBGo3HaDMn5HZ3A1xQ5n10tsH3FCG7lAXwg_e-ieLOrk9hSXBcIzquTIBuJ0Iw7K0TocnszQeY1J9BRGL5j3QVWQu58_oAvwSeECbyyBbzHpkSctWrxuBi1YXV8fzhTyiJodm8LWnqFdpJPdziG5Up_asMX_AwMeMpts9Qpt6oXgYt12urFmV8F52JrGsbND_wUYo2t7cJN_2bB3vmiSxzxCdbTcMjT6tT2sqUysNqSe2hsOmV4iRe2LKVf-eFrXza1AE2z8RsHwQAXPyvMW5szFIOAaUDS10RjmRraAQgotPQ",
  "additionalInfo": {
    "otpStatus": "YES",
    "settlementAccount": "020601000109305",
    "merchantTrxId": "",
    "remarks": "test remark 1"
  }
}
```

### Body Response

#### `200 OK`

Returns `application/json`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/finpay-pg/core-api/direct-debit/mandiri/direct-debit-payment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
